## org.apache.lucene.queryParser.standard.builders
Class PrefixWildcardQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.PrefixWildcardQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class PrefixWildcardQueryNodeBuilder

extends java.lang.Object
implements StandardQueryBuilder

Builds a `PrefixQuery` object from a `PrefixWildcardQueryNode` object.

Constructor Summary
`PrefixWildcardQueryNodeBuilder()`

Method Summary
`org.apache.lucene.search.PrefixQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixWildcardQueryNodeBuilder

    public PrefixWildcardQueryNodeBuilder()

Method Detail

### build

    public org.apache.lucene.search.PrefixQuery build(QueryNode queryNode)
                                               throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.